import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'
import Warning from '../views/Warning'
import Questionnaire from "@/views/Questionnaire";
import Results from "@/views/Results";
import HelpPage from "@/views/HelpPage";

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'Home',
    component: Home
  },
  {
    path: '/warning',
    name: 'Warnung',
    component: Warning
  },
  {
    path: '/questionnaire/:id',
    name: 'Fragebogen',
    component: Questionnaire
  },
  {
    path: '/questionnaire/help/:id',
    name: 'Hilfe',
    component: HelpPage
  },
  {
    path: '/results',
    name: 'Ergebnisse',
    component: Results
  }
]

const router = new VueRouter({
  routes
})

export default router
